#pragma once
#include "DangerousRacers/Label.h"
#include "DangerousRacers/Scene.h"
#include "SFML/Graphics/RectangleShape.hpp"
#include "SFML/Graphics/Texture.hpp"

class GameOverScene : public Scene {
private:
    bool wallTileLoaded = false;
    sf::Texture wallTileTexture;
    sf::RectangleShape wallTile;

    Label scoreLabel{"Score: 0\nBubbles Popped: 0", {576.f/2,768.f/2}, true, true};
public:
    GameOverScene(SceneManager& _sceneManager);

    void start();

    void update(float deltaTime);
    void render(sf::RenderWindow& window);
    void eventHandler(sf::Event& event);
};
